import { request } from '/src/index.js';

const res = 'OpenApiPermission';

export default {
    queryForCheck(openUserID) {
        return request({
            url: `api/${res}/QueryForCheck`,
            method: 'get',
            params: {
                openUserID
            }
        });
    },
    batchSave(openUserID, openApiIDs) {
        return request({
            url: `api/${res}/BatchSave`,
            method: 'post',
            data: {
                openUserID,
                openApiIDs
            }
        });
    }
};
